# wxPoint2DDouble Class Reference

`#include </home/work/projects/wx/2.9/wx/interface/wx/geometry.h>`

## Public Member Functions

| wxPoint2DDouble ()
| wxPoint2DDouble (wxDouble x, wxDouble y)
| wxPoint2DDouble (const wxPoint2DDouble &pt)
| wxPoint2DDouble (const wxPoint2DInt &pt)
| wxPoint2DDouble (const wxPoint &pt)
void | GetFloor (wxInt32 *x, wxInt32 *y) const
void | GetRounded (wxInt32 *x, wxInt32 *y) const
wxDouble | GetVectorLength () const
wxDouble | GetVectorAngle () const
void | SetVectorLength (wxDouble length)
void | SetVectorAngle (wxDouble degrees)
void | SetPolarCoordinates (wxDouble angle, wxDouble length)
void | Normalize ()
wxDouble | GetDistance (const wxPoint2DDouble &pt) const
wxDouble | GetDistanceSquare (const wxPoint2DDouble &pt) const
wxDouble | GetDotProduct (const wxPoint2DDouble &vec) const
wxDouble | GetCrossProduct (const wxPoint2DDouble &vec) const
wxPoint2DDouble | operator- ()
wxPoint2DDouble & | operator= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator+= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator-= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator*= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator*= (wxDouble n)
wxPoint2DDouble & | operator*= (wxInt32 n)
wxPoint2DDouble & | operator/= (const wxPoint2DDouble &pt)
wxPoint2DDouble & | operator/= (wxDouble n)
wxPoint2DDouble & | operator/= (wxInt32 n)
bool | operator== (const wxPoint2DDouble &pt) const
bool | operator!= (const wxPoint2DDouble &pt) const

## Public Attributes

wxDouble | m_x
wxDouble | m_y

List of all members.

## Constructor & Destructor Documentation

wxPoint2DDouble::wxPoint2DDouble | ( |  | ) |

wxPoint2DDouble::wxPoint2DDouble | ( | wxDouble | x,
|  | wxDouble | y |
| ) |  |  |

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint2DDouble & | pt | ) |

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint2DInt & | pt | ) |

wxPoint2DDouble::wxPoint2DDouble | ( | const wxPoint & | pt | ) |

## Member Function Documentation

wxDouble wxPoint2DDouble::GetCrossProduct | ( | const wxPoint2DDouble & | vec | ) | const

wxDouble wxPoint2DDouble::GetDistance | ( | const wxPoint2DDouble & | pt | ) | const

wxDouble wxPoint2DDouble::GetDistanceSquare | ( | const wxPoint2DDouble & | pt | ) | const

wxDouble wxPoint2DDouble::GetDotProduct | ( | const wxPoint2DDouble & | vec | ) | const

void wxPoint2DDouble::GetFloor | ( | wxInt32 * | x,
|  | wxInt32 * | y |
| ) |  |  | const

void wxPoint2DDouble::GetRounded | ( | wxInt32 * | x,
|  | wxInt32 * | y |
| ) |  |  | const

wxDouble wxPoint2DDouble::GetVectorAngle | ( |  | ) | const

wxDouble wxPoint2DDouble::GetVectorLength | ( |  | ) | const

void wxPoint2DDouble::Normalize | ( |  | ) |

bool wxPoint2DDouble::operator!= | ( | const wxPoint2DDouble & | pt | ) | const

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | wxInt32 | n | ) |

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | const wxPoint2DDouble & | pt | ) |

wxPoint2DDouble& wxPoint2DDouble::operator*= | ( | wxDouble | n | ) |

wxPoint2DDouble& wxPoint2DDouble::operator+= | ( | const wxPoint2DDouble & | pt | ) |

wxPoint2DDouble wxPoint2DDouble::operator- | ( |  | ) |

wxPoint2DDouble& wxPoint2DDouble::operator-= | ( | const wxPoint2DDouble & | pt | ) |

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | wxDouble | n | ) |

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | const wxPoint2DDouble & | pt | ) |

wxPoint2DDouble& wxPoint2DDouble::operator/= | ( | wxInt32 | n | ) |

wxPoint2DDouble& wxPoint2DDouble::operator= | ( | const wxPoint2DDouble & | pt | ) |

bool wxPoint2DDouble::operator== | ( | const wxPoint2DDouble & | pt | ) | const

void wxPoint2DDouble::SetPolarCoordinates | ( | wxDouble | angle,
|  | wxDouble | length |
| ) |  |  |

void wxPoint2DDouble::SetVectorAngle | ( | wxDouble | degrees | ) |

void wxPoint2DDouble::SetVectorLength | ( | wxDouble | length | ) |

## Member Data Documentation

wxDouble wxPoint2DDouble::m_x

wxDouble wxPoint2DDouble::m_y

|  | [ top ]